%define modname zstd
%define soname %{modname}.so
%define inifile A50_%{modname}.ini
%define incdir %(php-config82 --include-dir)
%define extdir %(php-config82 --extension-dir)


Name:		php-%{modname}
Version:	0.12.3
Release:	%mkrel 1
Group:		Development/PHP
Summary:	PHP zstd extension
License:	MIT
URL:		https://github.com/kjdev/php-ext-zstd
Source0:	https://github.com/kjdev/php-ext-%{modname}/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	php-devel >= 3:8.2.0
Requires:       php >= 3:8.2.0
Requires:       php-common = 3:8.2

%description
This extension allows use of Zstandard compression.
Documentation for Zstandard can be found at https://github.com/facebook/zstd.


%prep

%setup -q -n php-ext-%{modname}-%{version}

# lib64 fix
#perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -DHAVE_PHP_SESSION"

phpize
%configure --with-libzstd \
	--enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 %{soname} %{buildroot}%{extdir}/
install php_zstd.h %{buildroot}%{incdir}/ext/%{modname}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%doc README.md LICENSE
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%{incdir}/ext/%{modname}/php_zstd.h



%changelog
* Wed May 03 2023 mokraemer <mokraemer> 0.12.3-1.mga9
+ Revision: 1955699
- new release 0.12.3
- new version 0.12.2

* Mon Jan 23 2023 mokraemer <mokraemer> 0.12.1-1.mga9
+ Revision: 1934966
- new versio  0.12.1

* Mon Nov 21 2022 mokraemer <mokraemer> 0.12.0-1.mga9
+ Revision: 1909942
- new version 0.12

* Fri Nov 04 2022 mokraemer <mokraemer> 0.11.0-7.mga9
+ Revision: 1902465
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 0.11.0-6.mga9
+ Revision: 1879796
- update extension for new directories

* Sat Jul 23 2022 mokraemer <mokraemer> 0.11.0-5.mga9
+ Revision: 1870326
- remove lib64 patch
- fix dependancy error
- rebuild for php 8.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 0.11.0-2.mga9
+ Revision: 1759389
- rebuild for php 8.1

* Mon Oct 04 2021 mokraemer <mokraemer> 0.11.0-1.mga9
+ Revision: 1749302
- new version 0.11

* Wed Jul 28 2021 mokraemer <mokraemer> 0.10.0-1.mga9
+ Revision: 1738042
- remove old doc file
- new version 0.10

* Sun Nov 29 2020 mokraemer <mokraemer> 0.9.0-3.mga8
+ Revision: 1650236
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 0.9.0-2.mga8
+ Revision: 1596236
- fix dep to current version

* Thu Jun 04 2020 mokraemer <mokraemer> 0.9.0-1.mga8
+ Revision: 1590317
- new version 0.9.0

* Thu Mar 12 2020 mokraemer <mokraemer> 0.8.0-1.mga8
+ Revision: 1555803
- new version 0.8.0

* Tue Feb 18 2020 umeabot <umeabot> 0.7.7-2.mga8
+ Revision: 1541327
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 mokraemer <mokraemer> 0.7.7-1.mga8
+ Revision: 1469707
- new php package to support zstd compression
- Created package structure for php-zstd.

